Opened 13 years ago

Closed 9 years ago

#2755 closed defect (outdated)

ZAK FM-TOWNS: Mindbender-Needle overdraws background

Reported by: (none) Owned by: fingolfin
Priority: normal Component: Engine: SCUMM
Keywords: Cc:
Game: Zak McKracken

Description

ScummVM 0.9.0 (Jun 25 2006 22:47:47)
Features compiled in: Vorbis MP3 zLib

The "needle" of the minbender machine in the post
office overdraws the background (worldmap) when using
the blue crystal the first time (here it's the case
when using it on the dolphin in bermuda triangle).

Two screenshots follow...cosmetical, but annoying

Zak McKracken (FM-Towns) English

AmigaOS4, GCC 4.0.3

Was there since i tested it (ScummVM 0.8.0), could
only recently get back to Zak, so ... still there :-)

Ticket imported from: #1527625. Ticket imported from: bugs/2755.

Attachments (3)

zakTowns.s08 (20.3 KB) - added by SF/*anonymous 13 years ago.
Just use the blue crstal on the dolphin
FlyingSwitch1.jpg (46.6 KB) - added by SF/*anonymous 13 years ago.
Starts drawing over the background
FlyingSwitch2.jpg (48.9 KB) - added by SF/*anonymous 13 years ago.
Done drawing over the background

Download all attachments as: .zip

Change History (12)

Changed 13 years ago by SF/*anonymous

Attachment: zakTowns.s08 added

Just use the blue crstal on the dolphin

Changed 13 years ago by SF/*anonymous

Attachment: FlyingSwitch1.jpg added

Starts drawing over the background

comment:1 Changed 13 years ago by (none)

Summary: Mindbender-Needle overdraws backgroundZAK FM-TOWNS: Mindbender-Needle overdraws background

Changed 13 years ago by SF/*anonymous

Attachment: FlyingSwitch2.jpg added

Done drawing over the background

comment:2 Changed 13 years ago by (none)

Sorry that has to be:

ScummVM 0.10.0svn (Jul 23 2006 15:32:43)
Features compiled in: Vorbis FLAC MP3 zLib MPEG2

and

AmigaOS4, gcc version 4.0.2 (AmigaOS build 20051012)

comment:3 Changed 12 years ago by fingolfin

I can reproduce the issue with latest SVN. Very odd.

comment:4 Changed 10 years ago by (none)

I tested ZAK-FM / English on Win32 with

ScummVM 1.0.0rc143718 (Aug 25 2009 12:34:25)
Features compiled in: Vorbis FLAC MP3 zLib FluidSynth

and did not see this bug. Maybe it's fixed and can be closed?

comment:5 Changed 10 years ago by raziel-

Have you tried the attahced savegame? (Because i just did and the bug is still there)
Or did you play from the beginning? (Then it might be a wrong - and in the meantime fixed - flag???)

comment:6 Changed 10 years ago by (none)

I played from the start. With the savegame I see the bug too. But still the bug is pretty old. I think it might be a good idea if you give it a go from start as well. Just too be sure it's not a old savegame issue.

comment:7 Changed 9 years ago by raziel-

Affirmative.
Playing the game from start the bug is gone.

comment:8 Changed 9 years ago by fingolfin

Thanks!

comment:9 Changed 9 years ago by fingolfin

Owner: set to fingolfin
Resolution: outdated
Status: newclosed
Note: See TracTickets for help on using tickets.